org.apache.mina.example.proxy

## Class ClientToProxyIoHandler

- java.lang.Object
- - org.apache.mina.core.service.IoHandlerAdapter
  - - org.apache.mina.example.proxy.AbstractProxyIoHandler
    - - org.apache.mina.example.proxy.ClientToProxyIoHandler

- All Implemented Interfaces:
    IoHandler

      public class ClientToProxyIoHandler
      extends AbstractProxyIoHandler

  Handles the client to proxy part of the proxied connection.
  Author:
    Apache MINA Project

- - ### Field Summary

    - ### Fields inherited from class org.apache.mina.example.proxy.AbstractProxyIoHandler

      `OTHER_IO_SESSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientToProxyIoHandler(IoConnector connector, SocketAddress remoteAddress)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sessionOpened(IoSession session)` Invoked when a connection has been opened.

    - ### Methods inherited from class org.apache.mina.example.proxy.AbstractProxyIoHandler

      `messageReceived, sessionClosed, sessionCreated`

    - ### Methods inherited from class org.apache.mina.core.service.IoHandlerAdapter

      `exceptionCaught, messageSent, sessionIdle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientToProxyIoHandler

          public ClientToProxyIoHandler(IoConnector connector,
                                SocketAddress remoteAddress)

  - ### Method Detail

    - #### sessionOpened

          public void sessionOpened(IoSession session)
                             throws Exception

      Description copied from interface: `IoHandler`
      Invoked when a connection has been opened. This method is invoked after `IoHandler.sessionCreated(IoSession)`. The biggest difference from `IoHandler.sessionCreated(IoSession)` is that it's invoked from other thread than an I/O processor thread once thread model is configured properly.
      Specified by:
        `sessionOpened` in interface `IoHandler`
      Overrides:
        `sessionOpened` in class `IoHandlerAdapter`
      Throws:
        `Exception`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.